2009r available - tzdata doesn't work for San Luis Argentina

Bug #472720 reported by Esteban on 2009-11-03
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
langpack-locales (Ubuntu)
Undecided
Unassigned
Dapper
Undecided
Unassigned
Hardy
Undecided
Unassigned
Intrepid
Undecided
Unassigned
Jaunty
Undecided
Unassigned
Karmic
Undecided
Unassigned
Lucid
Undecided
Unassigned
tzdata (Ubuntu)
Undecided
Unassigned
Dapper
Undecided
Unassigned
Hardy
Undecided
Unassigned
Intrepid
Undecided
Unassigned
Jaunty
Undecided
Unassigned
Karmic
High
Martin Pitt
Lucid
Undecided
Unassigned

Bug Description

Binary package hint: tzdata

San Luis change the time zone to GMT -3 on October 12th. tzdata versions are not showing that change.

Esteban (esabalo) wrote :

here is the comment about the time change in a San Luis newspaper.
http://www.eldiariodelarepublica.com/index.php?option=com_content&task=view&id=23132&Itemid=39

Esteban (esabalo) wrote :

Package: tzdata
Status: install ok installed
Priority: required
Section: libs
Installed-Size: 6288
Maintainer: Ubuntu Developers <email address hidden>
Architecture: all
Version: 2009o-1ubuntu2
Replaces: libc0.1, libc0.3, libc6, libc6.1
Provides: tzdata-squeeze
Depends: debconf (>= 0.5) | debconf-2.0
Description: time zone and daylight-saving time data
 This package contains data required for the implementation of
 standard local time for many representative locations around the
 globe. It is updated periodically to reflect changes made by
 political bodies to time zone boundaries, UTC offsets, and
 daylight-saving rules.
Original-Maintainer: GNU Libc Maintainers <email address hidden>

Martin Pitt (pitti) on 2009-11-12
summary: - tzdata doesn´t work for San Luis Argentina
+ 2009r available - tzdata doesn't work for San Luis Argentina
Martin Pitt (pitti) wrote :

Testing:

With 2009r:

$ LANG= TZ=America/Argentina/San_Luis date
Thu Nov 12 08:50:32 WARST 2009

with older versions:

$ LANG= TZ=America/Argentina/San_Luis date
Thu Nov 12 07:50:41 WART 2009

Changed in tzdata (Ubuntu Lucid):
status: New → Fix Committed
Changed in tzdata (Ubuntu Karmic):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Martin Pitt (pitti)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2009r-1ubuntu1

---------------
tzdata (2009r-1ubuntu1) lucid; urgency=low

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - debian/control, debian/rules, debian/source/format: Revert conversion to
      3.0 (quilt) source format, not supported yet in Launchpad.
  * SRUs for 2009r will use a different orig.tar.gz naming which will be lower
    than 2009r. (LP: #467165)
  * 2009r fixes DST for San Luis, Argentina. (LP: #472720)

tzdata (2009r-1) unstable; urgency=low

  * New upstream release.
  * Don't remove .pc/ in clean target.

tzdata (2009q-2) unstable; urgency=low

  * Fix the "DST" offset of Dhaka, broken by the fix for #552110.

tzdata (2009q-1) unstable; urgency=medium

  * New upstream release.
  * Use 3.0 (quilt) source format, drop build dependency on quilt.

tzdata (2009p-1) unstable; urgency=low

  * New upstream release. closes: #551195.
    - Drop argentinas-dst-2009.diff (obsolete).

tzdata (2009o-2) unstable; urgency=low

  * debian/patches/bangladesh-openended.diff: Fix broken Asia/Dhaka
    DST. closes: #552110.
 -- Martin Pitt <email address hidden> Thu, 12 Nov 2009 12:33:59 +0100

Changed in tzdata (Ubuntu Lucid):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

2009o-2009r diff:

- Update time zones for some Australian stations on Antarctica
- Fix historical DST rules for Hong Kong
- Update DST rules for Syria (effective from October)
- Update DST rules for Argentina (includes our patch argentinas-dst-2009.diff and fixes DST for province San Luis)
- Split out new TZ Asia/Novokuznetsk
- Add some new zone definitions for Java compatibility

Test case for Syria:

2009r (correctly switch on last Friday in October already):
$ LANG= TZ=Asia/Damascus date -d 2009-10-30
Fri Oct 30 00:00:00 EET 2009

With previous rules:
$ LANG= TZ=Asia/Damascus date -d 2009-10-30
Fri Oct 30 00:00:00 EEST 2009

Martin Pitt (pitti) wrote :

Sorry, there was some noise in the previous diff (struggled with the quilt 3.0 format); there are no Java related changes.

2009o-2009r diff:

- Update time zones for some Australian stations on Antarctica
- Fix historical DST rules for Hong Kong
- Update DST rules for Syria (effective from October)
- Update DST rules for Argentina (includes our patch argentinas-dst-2009.diff and fixes DST for province San Luis)
- Split out new TZ Asia/Novokuznetsk

Martin Pitt (pitti) wrote :

Updates for dapper to karmic uploaded to queue, requiring processing by ubuntu-sru.

Changed in tzdata (Ubuntu Jaunty):
status: New → In Progress
Changed in tzdata (Ubuntu Hardy):
status: New → In Progress
Changed in tzdata (Ubuntu Intrepid):
status: New → In Progress
Changed in tzdata (Ubuntu Dapper):
status: New → In Progress

Accepted tzdata into hardy-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Hardy):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in tzdata (Ubuntu Intrepid):
status: In Progress → Fix Committed
Steve Langasek (vorlon) wrote :

Accepted tzdata into intrepid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Jaunty):
status: In Progress → Fix Committed
Steve Langasek (vorlon) wrote :

Accepted tzdata into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Karmic):
status: In Progress → Fix Committed
Steve Langasek (vorlon) wrote :

Accepted tzdata into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in langpack-locales (Ubuntu Dapper):
status: New → Fix Committed
Steve Langasek (vorlon) wrote :

Accepted langpack-locales into dapper-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Martin Pitt (pitti) on 2009-11-12
Changed in tzdata (Ubuntu Dapper):
status: In Progress → Invalid
Changed in langpack-locales (Ubuntu Hardy):
status: New → Invalid
Changed in langpack-locales (Ubuntu Intrepid):
status: New → Invalid
Changed in langpack-locales (Ubuntu Jaunty):
status: New → Invalid
Changed in langpack-locales (Ubuntu Karmic):
status: New → Invalid
Changed in langpack-locales (Ubuntu Lucid):
status: New → Invalid

Hello Steve,

the tzdata is working fine.

On Thu, Nov 12, 2009 at 10:21 AM, Steve Langasek
<email address hidden> wrote:
> Accepted tzdata into karmic-proposed, the package will build now and be
> available in a few hours. Please test and give feedback here. See
> https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to
> enable and use -proposed. Thank you in advance!
>
> ** Changed in: langpack-locales (Ubuntu Dapper)
>       Status: New => Fix Committed
>
> --
> 2009r available - tzdata doesn't  work for San Luis Argentina
> https://bugs.launchpad.net/bugs/472720
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “langpack-locales” package in Ubuntu: Invalid
> Status in “tzdata” package in Ubuntu: Fix Released
> Status in “langpack-locales” source package in Lucid: Invalid
> Status in “tzdata” source package in Lucid: Fix Released
> Status in “langpack-locales” source package in Dapper: Fix Committed
> Status in “tzdata” source package in Dapper: Invalid
> Status in “langpack-locales” source package in Hardy: Invalid
> Status in “tzdata” source package in Hardy: Fix Committed
> Status in “langpack-locales” source package in Intrepid: Invalid
> Status in “tzdata” source package in Intrepid: Fix Committed
> Status in “langpack-locales” source package in Jaunty: Invalid
> Status in “tzdata” source package in Jaunty: Fix Committed
> Status in “langpack-locales” source package in Karmic: Invalid
> Status in “tzdata” source package in Karmic: Fix Committed
>
> Bug description:
> Binary package hint: tzdata
>
> San Luis change the time zone to GMT -3 on October 12th. tzdata versions are not showing that change.
>

Martin Pitt (pitti) wrote :

I verified that the -proposed packages upgrade and install, and that in dapper/hardy/intrepid/jaunty/karmic the output is now correct (also compared to www.timeanddate.com):

  $ LANG= TZ=America/Argentina/San_Luis date; LANG= TZ=Asia/Damascus date -d 2009-10-30; LANG= TZ=Asia/Dhaka date
  Fri Nov 13 05:31:33 WARST 2009 # http://www.timeanddate.com/worldclock/city.html?n=613
  Fri Oct 30 00:00:00 EET 2009 # see above
  Fri Nov 13 15:31:33 BDST 2009 # http://www.timeanddate.com/worldclock/city.html?n=73

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2009r-0ubuntu9.10

---------------
tzdata (2009r-0ubuntu9.10) karmic-proposed; urgency=low

  * New upstream release:
    - Update time zones for some Australian stations on Antarctica
    - Fix historical DST rules for Hong Kong
    - Update DST rules for Syria (effective from October)
    - Update DST rules for Argentina (includes our patch
      argentinas-dst-2009.diff and fixes DST for province San Luis)
      (LP: #472720)
    - Split out new TZ Asia/Novokuznetsk
  * This version number his higher than the previous hardy/intrepid/jaunty
    SRUs. (LP: #467165)
  * Drop argentinas-dst-2009.diff, included upstream.
 -- Martin Pitt <email address hidden> Thu, 12 Nov 2009 12:54:45 +0100

Changed in tzdata (Ubuntu Karmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2009r~repack-0ubuntu9.04

---------------
tzdata (2009r~repack-0ubuntu9.04) jaunty-proposed; urgency=low

  * New upstream version 2009r:
    - Update time zones for some Australian stations on Antarctica
    - Fix historical DST rules for Hong Kong
    - Update DST rules for Syria (effective from October)
    - Update DST rules for Argentina (includes our patch
      argentinas-dst-2009.diff and fixes DST for province San Luis)
      (LP: #472720)
    - Split out new TZ Asia/Novokuznetsk
  * Fix version number ordering between Ubuntu releases by renaming
    orig.tar.gz. (LP: #467165)
  * Drop argentinas-dst-2009.diff, included upstream.
 -- Martin Pitt <email address hidden> Thu, 12 Nov 2009 13:37:22 +0100

Changed in tzdata (Ubuntu Jaunty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2009r~repack-0ubuntu0.8.10

---------------
tzdata (2009r~repack-0ubuntu0.8.10) intrepid-proposed; urgency=low

  * New upstream version 2009r:
    - Update time zones for some Australian stations on Antarctica
    - Fix historical DST rules for Hong Kong
    - Update DST rules for Syria (effective from October)
    - Update DST rules for Argentina (includes our patch
      argentinas-dst-2009.diff and fixes DST for province San Luis)
      (LP: #472720)
    - Split out new TZ Asia/Novokuznetsk
  * Fix version number ordering between Ubuntu releases by renaming
    orig.tar.gz. (LP: #467165)
  * Drop argentinas-dst-2009.diff, included upstream.
 -- Martin Pitt <email address hidden> Thu, 12 Nov 2009 13:43:57 +0100

Changed in tzdata (Ubuntu Intrepid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2009r~repack-0ubuntu0.8.04

---------------
tzdata (2009r~repack-0ubuntu0.8.04) hardy-proposed; urgency=low

  * New upstream version 2009r:
    - Update time zones for some Australian stations on Antarctica
    - Fix historical DST rules for Hong Kong
    - Update DST rules for Syria (effective from October)
    - Update DST rules for Argentina (includes our patch
      argentinas-dst-2009.diff and fixes DST for province San Luis)
      (LP: #472720)
    - Split out new TZ Asia/Novokuznetsk
  * Fix version number ordering between Ubuntu releases by renaming
    orig.tar.gz. (LP: #467165)
  * Drop argentinas-dst-2009.diff, included upstream.
 -- Martin Pitt <email address hidden> Thu, 12 Nov 2009 13:48:54 +0100

Changed in tzdata (Ubuntu Hardy):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

copied to dapper-updates

Changed in langpack-locales (Ubuntu Dapper):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers